"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.qwikInitGenerator = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const add_common_qwik_dependencies_1 = require("../../utils/add-common-qwik-dependencies");
const ensure_nx_dependencies_1 = require("../../utils/ensure-nx-dependencies");
function updateDependencies(tree) {
    (0, ensure_nx_dependencies_1.ensureNxDependencies)();
    return (0, add_common_qwik_dependencies_1.addCommonQwikDependencies)(tree);
}
function qwikInitGenerator(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const installTask = updateDependencies(tree);
        if (!options.skipFormat) {
            yield (0, devkit_1.formatFiles)(tree);
        }
        return (0, devkit_1.runTasksInSerial)(installTask);
    });
}
exports.qwikInitGenerator = qwikInitGenerator;
exports.default = qwikInitGenerator;
//# sourceMappingURL=init.js.map