"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mockEnsurePackage = exports.getFormattedListChanges = void 0;
function getFormattedListChanges(tree, previous) {
    let formatted = [...tree.listChanges()]
        .sort((a, b) => a.path.localeCompare(b.path))
        .map((c) => ({ path: c.path, type: c.type }));
    if (previous) {
        formatted = formatted.filter((f) => !previous.some((p) => p.path === f.path && p.type === f.type));
    }
    return formatted;
}
exports.getFormattedListChanges = getFormattedListChanges;
// eslint-disable-next-line @typescript-eslint/no-var-requires
const devkit = require('@nx/devkit');
function mockEnsurePackage() {
    jest.spyOn(devkit, 'ensurePackage').mockImplementation((...args) => {
        try {
            return require(args[0]);
        }
        catch (_a) {
            return null;
        }
    });
}
exports.mockEnsurePackage = mockEnsurePackage;
//# sourceMappingURL=testing-generators.js.map